/*******************************************************************************
*
* File:         module_demo_main.h
* Description:  module demo main file
* Version:      V0.1
* Date:         2023-07-27
* Author:       Jaya
 *******************************************************************************/

#ifndef __MODULE_DEMO_MAIN_H__
#define __MODULE_DEMO_MAIN_H__
#include "test_cfg_global.h"

#if _MODULE_DEMO_DSI_TX_EN
#include "demo_hal_dsi_tx.h"
#endif

#if _MODULE_DEMO_DSI_RX_EN
#include "demo_hal_dsi_rx.h"
#endif

#if _MODULE_DEMO_TIMER_EN
#include "demo_hal_timer.h"
#endif

#if _MODULE_DEMO_WDG_EN
#include "demo_hal_wdg.h"
#endif

#if _MODULE_DEMO_GPIO_EN
#include "demo_hal_gpio.h"
#endif

#if _MODULE_DEMO_SWIRE_EN
#include "demo_hal_swire.h"
#endif

#if _MODULE_DEMO_SPI_EN
#include "demo_hal_spi.h"
#endif

#if _MODULE_DEMO_I2C_EN
#include "demo_hal_i2c.h"
#endif

#if _MODULE_DEMO_FLASH_EN
#include "demo_hal_flash.h"
#endif

#if _MODULE_DEMO_PWM_EN
#include "demo_hal_pwm.h"
#endif

#if _MODULE_DEMO_PWR_EN
#include "demo_hal_pwr.h"
#endif

#if _MODULE_DEMO_UART_EN
#include "demo_hal_uart.h"
#endif

#if _MODULE_DEMO_CRC_EN
#include "demo_hal_crc.h"
#endif

void module_demo_main(void);

#endif /* __MODULE_DEMO_MAIN_H__ */
