/*******************************************************************************
*
*
* File:        app_tp_transfer_data.h
* Description  配置从机需要答复的接收值，及其对应的答复值
* Version      V0.1
* Date         2021-10-14
* Author       zhanghz
*******************************************************************************/
#ifndef __APP_TP_PHONE_TRANSFER_DATA_S8_H__
#define __APP_TP_PHONE_TRANSFER_DATA_S8_H__

#include "tau_common.h"

/***************send to phone***************/
const uint8_t phone_60_start_back[] = {0x09, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00};

const uint8_t phone_22_data[] = {0x22};
const uint8_t phone_22_back[] = {0x53, 0x45, 0x37, 0x61, 0x00};

const uint8_t phone_21_data[] = {0x21};
const uint8_t phone_21_back[] = {0x80};

//const uint8_t phone_61_data[] = {0x61};
//const uint8_t phone_61_back[] = {0x1d, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const uint8_t phone_55_data[] = {0x55};
const uint8_t phone_55_back[] = {0x20};

const uint8_t phone_af_data[] = {0xaf};
const uint8_t phone_af_back[] = {0x00, 0x03, 0x00, 0x00};

const uint8_t phone_f1_data[] = {0xf1};
const uint8_t phone_f1_back[] = {0x09, 0x09, 0x00, 0xA2};

const uint8_t phone_a5_data[] = {0xa5};
const uint8_t phone_a5_back[] = {0x10, 0x17, 0x01, 0x38};

const uint8_t phone_a3_data[] = {0xa3};
const uint8_t phone_a3_back[] = {0x10, 0x17, 0x02, 0x00};

const uint8_t phone_a4_data[] = {0xa4};
const uint8_t phone_a4_back[] = {0x10, 0x17, 0x01, 0x28};

const uint8_t phone_52_data[] = {0x52};
const uint8_t phone_52_back[] = {0xAC, 0x37, 0x61};

const uint8_t phone_23_data[] = {0x23};
const uint8_t phone_23_back[] = {0x10, 0x00, 0x10, 0x00, 0x05, 0xA0, 0x0B, 0x90, 0x10, 0x21, 0x03};

const uint8_t phone_30_data[] = {0x30};
const uint8_t phone_30_back[] = {0x61, 0x00};

const uint8_t phone_90_data[] = {0x90};
const uint8_t phone_90_back[] = {0x47, 0x39, 0x35, 0x30, 0x00, 0x04, 0x00, 0x21, 0x10, 0x00};

const uint8_t phone_e4_00_data[] = {0xe4, 0x00};
const uint8_t phone_e4_00_back[] = {0x00};

const uint8_t phone_e4_01_data[] = {0xe4, 0x01};
const uint8_t phone_e4_01_back[] = {0x01};

const uint8_t phone_85_data[] = {0x85};
const uint8_t phone_85_back[] = {0x28};

const uint8_t phone_f5_data[] = {0xf5};
const uint8_t phone_f5_back[] = {0xff};

const uint8_t phone_f6_data[] = {0xf6};
const uint8_t phone_f6_back[] = {0xFC, 0x16, 0xFC, 0x32, 0xFC, 0x44};

const uint8_t phone_ea_data[] = {0xea};
const uint8_t phone_ea_back[] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xF7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

const uint8_t phone_b1_data[] = {0xb1};
const uint8_t phone_b1_back[] = {0x00, 0x04};

const uint8_t phone_80_data[] = {0x80};
const uint8_t phone_80_back[] = {0xFE, 0x87, 0xFF, 0xAE, 0xFF, \
                                 0xCA, \
                                 0xFF, \
                                 0xC0, \
                                 0xFF, \
                                 0xD4, \
                                 0xFF, \
                                 0xE4, \
                                 0xFF, \
                                 0xF0, \
                                 0xFF, \
                                 0xF6, \
                                 0xFF, \
                                 0xF6, \
                                 0xFF, \
                                 0xF5, \
                                 0x00, \
                                 0x0A, \
                                 0x00, \
                                 0x0C, \
                                 0x00, \
                                 0x0D, \
                                 0x00, \
                                 0x0F, \
                                 0x00, \
                                 0x19, \
                                 0x00, \
                                 0x18, \
                                 0x00, \
                                 0x20, \
                                 0x00, \
                                 0x23, \
                                 0x00, \
                                 0x22, \
                                 0x00, \
                                 0x2B, \
                                 0x00, \
                                 0x29, \
                                 0x00, \
                                 0x31, \
                                 0x00, \
                                 0x37, \
                                 0x00, \
                                 0x43, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x48, \
                                 0x00, \
                                 0x4C, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x52, \
                                 0x00, \
                                 0x4B, \
                                 0x00, \
                                 0x58, \
                                 0x00, \
                                 0x6D, \
                                 0x00, \
                                 0x4E, \
                                 0xFD, \
                                 0xFD, \
                                 0xFF, \
                                 0x95, \
                                 0xFF, \
                                 0xAC, \
                                 0xFF, \
                                 0xB9, \
                                 0xFF, \
                                 0xCE, \
                                 0xFF, \
                                 0xE4, \
                                 0xFF, \
                                 0xEA, \
                                 0xFF, \
                                 0xE8, \
                                 0xFF, \
                                 0xF4, \
                                 0xFF, \
                                 0xFD, \
                                 0x00, \
                                 0x0E, \
                                 0x00, \
                                 0x15, \
                                 0x00, \
                                 0x11, \
                                 0x00, \
                                 0x15, \
                                 0x00, \
                                 0x23, \
                                 0x00, \
                                 0x28, \
                                 0x00, \
                                 0x2A, \
                                 0x00, \
                                 0x2B, \
                                 0x00, \
                                 0x28, \
                                 0x00, \
                                 0x2F, \
                                 0x00, \
                                 0x22, \
                                 0x00, \
                                 0x37, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x45, \
                                 0x00, \
                                 0x4B, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x52, \
                                 0x00, \
                                 0x51, \
                                 0x00, \
                                 0x52, \
                                 0x00, \
                                 0x4B, \
                                 0x00, \
                                 0x50, \
                                 0x00, \
                                 0x53, \
                                 0x00, \
                                 0x63, \
                                 0xFD, \
                                 0xE9, \
                                 0xFF, \
                                 0x96, \
                                 0xFF, \
                                 0xB0, \
                                 0xFF, \
                                 0xC2, \
                                 0xFF, \
                                 0xDE, \
                                 0xFF, \
                                 0xF2, \
                                 0xFF, \
                                 0xFE, \
                                 0xFF, \
                                 0xFE, \
                                 0xFF, \
                                 0xF8, \
                                 0x00, \
                                 0x0A, \
                                 0x00, \
                                 0x10, \
                                 0x00, \
                                 0x1E, \
                                 0x00, \
                                 0x25, \
                                 0x00, \
                                 0x27, \
                                 0x00, \
                                 0x33, \
                                 0x00, \
                                 0x36, \
                                 0x00, \
                                 0x3A, \
                                 0x00, \
                                 0x3B, \
                                 0x00, \
                                 0x38, \
                                 0x00, \
                                 0x43, \
                                 0x00, \
                                 0x40, \
                                 0x00, \
                                 0x49, \
                                 0x00, \
                                 0x4F, \
                                 0x00, \
                                 0x51, \
                                 0x00, \
                                 0x55, \
                                 0x00, \
                                 0x59, \
                                 0x00, \
                                 0x5C, \
                                 0x00, \
                                 0x5A, \
                                 0x00, \
                                 0x56, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x4E, \
                                 0x00, \
                                 0x49, \
                                 0x00, \
                                 0x51, \
                                 0xFD, \
                                 0xDE, \
                                 0xFF, \
                                 0x98, \
                                 0xFF, \
                                 0xB9, \
                                 0xFF, \
                                 0xD0, \
                                 0xFF, \
                                 0xEC, \
                                 0xFF, \
                                 0xFC, \
                                 0x00, \
                                 0x05, \
                                 0x00, \
                                 0x02, \
                                 0x00, \
                                 0x0C, \
                                 0x00, \
                                 0x15, \
                                 0x00, \
                                 0x1C, \
                                 0x00, \
                                 0x26, \
                                 0x00, \
                                 0x2D, \
                                 0x00, \
                                 0x2F, \
                                 0x00, \
                                 0x3F, \
                                 0x00, \
                                 0x3F, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x2B, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x4F, \
                                 0x00, \
                                 0x55, \
                                 0x00, \
                                 0x57, \
                                 0x00, \
                                 0x5C, \
                                 0x00, \
                                 0x5D, \
                                 0x00, \
                                 0x5D, \
                                 0x00, \
                                 0x5B, \
                                 0x00, \
                                 0x58, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x48, \
                                 0x00, \
                                 0x41, \
                                 0x00, \
                                 0x46, \
                                 0xFD, \
                                 0xD7, \
                                 0xFF, \
                                 0x97, \
                                 0xFF, \
                                 0xBB, \
                                 0xFF, \
                                 0xD7, \
                                 0xFF, \
                                 0xF4, \
                                 0xFF, \
                                 0xFC, \
                                 0xFF, \
                                 0xFA, \
                                 0x00, \
                                 0x17, \
                                 0x00, \
                                 0x0E, \
                                 0x00, \
                                 0x1C, \
                                 0x00, \
                                 0x29, \
                                 0x00, \
                                 0x36, \
                                 0x00, \
                                 0x37, \
                                 0x00, \
                                 0x3A, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x44, \
                                 0x00, \
                                 0x4B, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x56, \
                                 0x00, \
                                 0x56, \
                                 0x00, \
                                 0x56, \
                                 0x00, \
                                 0x5A, \
                                 0x00, \
                                 0x61, \
                                 0x00, \
                                 0x61, \
                                 0x00, \
                                 0x63, \
                                 0x00, \
                                 0x63, \
                                 0x00, \
                                 0x5E, \
                                 0x00, \
                                 0x5A, \
                                 0x00, \
                                 0x51, \
                                 0x00, \
                                 0x48, \
                                 0x00, \
                                 0x40, \
                                 0x00, \
                                 0x41, \
                                 0xFD, \
                                 0xDB, \
                                 0xFF, \
                                 0x99, \
                                 0xFF, \
                                 0xBE, \
                                 0xFF, \
                                 0xD8, \
                                 0xFF, \
                                 0xFA, \
                                 0x00, \
                                 0x10, \
                                 0x00, \
                                 0x1A, \
                                 0x00, \
                                 0x23, \
                                 0x00, \
                                 0x26, \
                                 0x00, \
                                 0x2C, \
                                 0x00, \
                                 0x3F, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x43, \
                                 0x00, \
                                 0x42, \
                                 0x00, \
                                 0x48, \
                                 0x00, \
                                 0x54, \
                                 0x00, \
                                 0x5B, \
                                 0x00, \
                                 0x5A, \
                                 0x00, \
                                 0x5C, \
                                 0x00, \
                                 0x62, \
                                 0x00, \
                                 0x62, \
                                 0x00, \
                                 0x62, \
                                 0x00, \
                                 0x5E, \
                                 0x00, \
                                 0x65, \
                                 0x00, \
                                 0x6A, \
                                 0x00, \
                                 0x69, \
                                 0x00, \
                                 0x6C, \
                                 0x00, \
                                 0x62, \
                                 0x00, \
                                 0x5A, \
                                 0x00, \
                                 0x53, \
                                 0x00, \
                                 0x4D, \
                                 0x00, \
                                 0x3E, \
                                 0x00, \
                                 0x3F, \
                                 0xFD, \
                                 0xDD, \
                                 0xFF, \
                                 0x93, \
                                 0xFF, \
                                 0xB3, \
                                 0xFF, \
                                 0xD5, \
                                 0xFF, \
                                 0xF5, \
                                 0x00, \
                                 0x10, \
                                 0x00, \
                                 0x1E, \
                                 0x00, \
                                 0x29, \
                                 0x00, \
                                 0x2E, \
                                 0x00, \
                                 0x32, \
                                 0x00, \
                                 0x3F, \
                                 0x00, \
                                 0x47, \
                                 0x00, \
                                 0x44, \
                                 0x00, \
                                 0x48, \
                                 0x00, \
                                 0x54, \
                                 0x00, \
                                 0x57, \
                                 0x00, \
                                 0x5D, \
                                 0x00, \
                                 0x5A, \
                                 0x00, \
                                 0x5C, \
                                 0x00, \
                                 0x61, \
                                 0x00, \
                                 0x60, \
                                 0x00, \
                                 0x64, \
                                 0x00, \
                                 0x65, \
                                 0x00, \
                                 0x65, \
                                 0x00, \
                                 0x68, \
                                 0x00, \
                                 0x65, \
                                 0x00, \
                                 0x68, \
                                 0x00, \
                                 0x56, \
                                 0x00, \
                                 0x59, \
                                 0x00, \
                                 0x4F, \
                                 0x00, \
                                 0x45, \
                                 0x00, \
                                 0x37, \
                                 0x00, \
                                 0x37, \
                                 0xFD, \
                                 0xD9, \
                                 0xFF, \
                                 0x8F, \
                                 0xFF, \
                                 0xA5, \
                                 0xFF, \
                                 0xC1, \
                                 0xFF, \
                                 0xEC, \
                                 0x00, \
                                 0x02, \
                                 0x00, \
                                 0x13, \
                                 0x00, \
                                 0x21, \
                                 0x00, \
                                 0x1A, \
                                 0x00, \
                                 0x24, \
                                 0x00, \
                                 0x30, \
                                 0x00, \
                                 0x37, \
                                 0x00, \
                                 0x38, \
                                 0x00, \
                                 0x32, \
                                 0x00, \
                                 0x3E, \
                                 0x00, \
                                 0x46, \
                                 0x00, \
                                 0x4F, \
                                 0x00, \
                                 0x50, \
                                 0x00, \
                                 0x50, \
                                 0x00
                                };

const uint8_t phone_72_data[] = {0x72};
const uint8_t phone_72_back[] = { \
                                  0xFE, 0x87, 0xFF, 0xAE, 0xFF, \
                                  0xCA, \
                                  0xFF, \
                                  0xC0, \
                                  0xFF, \
                                  0xD4, \
                                  0xFF, \
                                  0xE4, \
                                  0xFF, \
                                  0xF0, \
                                  0xFF, \
                                  0xF6, \
                                  0xFF, \
                                  0xF6, \
                                  0xFF, \
                                  0xF5, \
                                  0x00, \
                                  0x0A, \
                                  0x00, \
                                  0x0C, \
                                  0x00, \
                                  0x0D, \
                                  0x00, \
                                  0x0F, \
                                  0x00, \
                                  0x19, \
                                  0x00, \
                                  0x18, \
                                  0x00, \
                                  0x20, \
                                  0x00, \
                                  0x23, \
                                  0x00, \
                                  0x22, \
                                  0x00, \
                                  0x2B, \
                                  0x00, \
                                  0x29, \
                                  0x00, \
                                  0x31, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x43, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x48, \
                                  0x00, \
                                  0x4C, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x52, \
                                  0x00, \
                                  0x4B, \
                                  0x00, \
                                  0x58, \
                                  0x00, \
                                  0x6D, \
                                  0x00, \
                                  0x4E, \
                                  0xFD, \
                                  0xFD, \
                                  0xFF, \
                                  0x95, \
                                  0xFF, \
                                  0xAC, \
                                  0xFF, \
                                  0xB9, \
                                  0xFF, \
                                  0xCE, \
                                  0xFF, \
                                  0xE4, \
                                  0xFF, \
                                  0xEA, \
                                  0xFF, \
                                  0xE8, \
                                  0xFF, \
                                  0xF4, \
                                  0xFF, \
                                  0xFD, \
                                  0x00, \
                                  0x0E, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x11, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x23, \
                                  0x00, \
                                  0x28, \
                                  0x00, \
                                  0x2A, \
                                  0x00, \
                                  0x2B, \
                                  0x00, \
                                  0x28, \
                                  0x00, \
                                  0x2F, \
                                  0x00, \
                                  0x22, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x45, \
                                  0x00, \
                                  0x4B, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x52, \
                                  0x00, \
                                  0x51, \
                                  0x00, \
                                  0x52, \
                                  0x00, \
                                  0x4B, \
                                  0x00, \
                                  0x50, \
                                  0x00, \
                                  0x53, \
                                  0x00, \
                                  0x63, \
                                  0xFD, \
                                  0xE9, \
                                  0xFF, \
                                  0x96, \
                                  0xFF, \
                                  0xB0, \
                                  0xFF, \
                                  0xC2, \
                                  0xFF, \
                                  0xDE, \
                                  0xFF, \
                                  0xF2, \
                                  0xFF, \
                                  0xFE, \
                                  0xFF, \
                                  0xFE, \
                                  0xFF, \
                                  0xF8, \
                                  0x00, \
                                  0x0A, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x1E, \
                                  0x00, \
                                  0x25, \
                                  0x00, \
                                  0x27, \
                                  0x00, \
                                  0x33, \
                                  0x00, \
                                  0x36, \
                                  0x00, \
                                  0x3A, \
                                  0x00, \
                                  0x3B, \
                                  0x00, \
                                  0x38, \
                                  0x00, \
                                  0x43, \
                                  0x00, \
                                  0x40, \
                                  0x00, \
                                  0x49, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x51, \
                                  0x00, \
                                  0x55, \
                                  0x00, \
                                  0x59, \
                                  0x00, \
                                  0x5C, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x56, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x4E, \
                                  0x00, \
                                  0x49, \
                                  0x00, \
                                  0x51, \
                                  0xFD, \
                                  0xDE, \
                                  0xFF, \
                                  0x98, \
                                  0xFF, \
                                  0xB9, \
                                  0xFF, \
                                  0xD0, \
                                  0xFF, \
                                  0xEC, \
                                  0xFF, \
                                  0xFC, \
                                  0x00, \
                                  0x05, \
                                  0x00, \
                                  0x02, \
                                  0x00, \
                                  0x0C, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x1C, \
                                  0x00, \
                                  0x26, \
                                  0x00, \
                                  0x2D, \
                                  0x00, \
                                  0x2F, \
                                  0x00, \
                                  0x3F, \
                                  0x00, \
                                  0x3F, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x2B, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x55, \
                                  0x00, \
                                  0x57, \
                                  0x00, \
                                  0x5C, \
                                  0x00, \
                                  0x5D, \
                                  0x00, \
                                  0x5D, \
                                  0x00, \
                                  0x5B, \
                                  0x00, \
                                  0x58, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x48, \
                                  0x00, \
                                  0x41, \
                                  0x00, \
                                  0x46, \
                                  0xFD, \
                                  0xD7, \
                                  0xFF, \
                                  0x97, \
                                  0xFF, \
                                  0xBB, \
                                  0xFF, \
                                  0xD7, \
                                  0xFF, \
                                  0xF4, \
                                  0xFF, \
                                  0xFC, \
                                  0xFF, \
                                  0xFA, \
                                  0x00, \
                                  0x17, \
                                  0x00, \
                                  0x0E, \
                                  0x00, \
                                  0x1C, \
                                  0x00, \
                                  0x29, \
                                  0x00, \
                                  0x36, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x3A, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x44, \
                                  0x00, \
                                  0x4B, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x56, \
                                  0x00, \
                                  0x56, \
                                  0x00, \
                                  0x56, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x61, \
                                  0x00, \
                                  0x61, \
                                  0x00, \
                                  0x63, \
                                  0x00, \
                                  0x63, \
                                  0x00, \
                                  0x5E, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x51, \
                                  0x00, \
                                  0x48, \
                                  0x00, \
                                  0x40, \
                                  0x00, \
                                  0x41, \
                                  0xFD, \
                                  0xDB, \
                                  0xFF, \
                                  0x99, \
                                  0xFF, \
                                  0xBE, \
                                  0xFF, \
                                  0xD8, \
                                  0xFF, \
                                  0xFA, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x1A, \
                                  0x00, \
                                  0x23, \
                                  0x00, \
                                  0x26, \
                                  0x00, \
                                  0x2C, \
                                  0x00, \
                                  0x3F, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x43, \
                                  0x00, \
                                  0x42, \
                                  0x00, \
                                  0x48, \
                                  0x00, \
                                  0x54, \
                                  0x00, \
                                  0x5B, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x5C, \
                                  0x00, \
                                  0x62, \
                                  0x00, \
                                  0x62, \
                                  0x00, \
                                  0x62, \
                                  0x00, \
                                  0x5E, \
                                  0x00, \
                                  0x65, \
                                  0x00, \
                                  0x6A, \
                                  0x00, \
                                  0x69, \
                                  0x00, \
                                  0x6C, \
                                  0x00, \
                                  0x62, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x53, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x3E, \
                                  0x00, \
                                  0x3F, \
                                  0xFD, \
                                  0xDD, \
                                  0xFF, \
                                  0x93, \
                                  0xFF, \
                                  0xB3, \
                                  0xFF, \
                                  0xD5, \
                                  0xFF, \
                                  0xF5, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x1E, \
                                  0x00, \
                                  0x29, \
                                  0x00, \
                                  0x2E, \
                                  0x00, \
                                  0x32, \
                                  0x00, \
                                  0x3F, \
                                  0x00, \
                                  0x47, \
                                  0x00, \
                                  0x44, \
                                  0x00, \
                                  0x48, \
                                  0x00, \
                                  0x54, \
                                  0x00, \
                                  0x57, \
                                  0x00, \
                                  0x5D, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x5C, \
                                  0x00, \
                                  0x61, \
                                  0x00, \
                                  0x60, \
                                  0x00, \
                                  0x64, \
                                  0x00, \
                                  0x65, \
                                  0x00, \
                                  0x65, \
                                  0x00, \
                                  0x68, \
                                  0x00, \
                                  0x65, \
                                  0x00, \
                                  0x68, \
                                  0x00, \
                                  0x56, \
                                  0x00, \
                                  0x59, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x45, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x37, \
                                  0xFD, \
                                  0xD9, \
                                  0xFF, \
                                  0x8F, \
                                  0xFF, \
                                  0xA5, \
                                  0xFF, \
                                  0xC1, \
                                  0xFF, \
                                  0xEC, \
                                  0x00, \
                                  0x02, \
                                  0x00, \
                                  0x13, \
                                  0x00, \
                                  0x21, \
                                  0x00, \
                                  0x1A, \
                                  0x00, \
                                  0x24, \
                                  0x00, \
                                  0x30, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x38, \
                                  0x00, \
                                  0x32, \
                                  0x00, \
                                  0x3E, \
                                  0x00, \
                                  0x46, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x50, \
                                  0x00, \
                                  0x50, \
                                  0x00, \
                                  0x58, \
                                  0x00, \
                                  0x58, \
                                  0x00, \
                                  0x5A, \
                                  0x00, \
                                  0x5C, \
                                  0x00, \
                                  0x5E, \
                                  0x00, \
                                  0x5C, \
                                  0x00, \
                                  0x4B, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x56, \
                                  0x00, \
                                  0x4C, \
                                  0x00, \
                                  0x41, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x2C, \
                                  0x00, \
                                  0x25, \
                                  0xFE, \
                                  0x53, \
                                  0xFF, \
                                  0x88, \
                                  0xFF, \
                                  0xA7, \
                                  0xFF, \
                                  0xC2, \
                                  0xFF, \
                                  0xE4, \
                                  0xFF, \
                                  0xFA, \
                                  0x00, \
                                  0x0A, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x11, \
                                  0x00, \
                                  0x1B, \
                                  0x00, \
                                  0x23, \
                                  0x00, \
                                  0x25, \
                                  0x00, \
                                  0x19, \
                                  0x00, \
                                  0x20, \
                                  0x00, \
                                  0x32, \
                                  0x00, \
                                  0x33, \
                                  0x00, \
                                  0x40, \
                                  0x00, \
                                  0x43, \
                                  0x00, \
                                  0x43, \
                                  0x00, \
                                  0x4C, \
                                  0x00, \
                                  0x4A, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x50, \
                                  0x00, \
                                  0x51, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x4F, \
                                  0x00, \
                                  0x4D, \
                                  0x00, \
                                  0x46, \
                                  0x00, \
                                  0x3C, \
                                  0x00, \
                                  0x32, \
                                  0x00, \
                                  0x2B, \
                                  0x00, \
                                  0x16, \
                                  0x00, \
                                  0x16, \
                                  0xFE, \
                                  0xAB, \
                                  0xFF, \
                                  0x84, \
                                  0xFF, \
                                  0xA1, \
                                  0xFF, \
                                  0xBA, \
                                  0xFF, \
                                  0xDC, \
                                  0xFF, \
                                  0xEE, \
                                  0x00, \
                                  0x04, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x17, \
                                  0x00, \
                                  0x10, \
                                  0x00, \
                                  0x16, \
                                  0x00, \
                                  0x1E, \
                                  0x00, \
                                  0x2F, \
                                  0x00, \
                                  0x3A, \
                                  0x00, \
                                  0x3B, \
                                  0x00, \
                                  0x3D, \
                                  0x00, \
                                  0x44, \
                                  0x00, \
                                  0x45, \
                                  0x00, \
                                  0x44, \
                                  0x00, \
                                  0x49, \
                                  0x00, \
                                  0x43, \
                                  0x00, \
                                  0x48, \
                                  0x00, \
                                  0x3D, \
                                  0x00, \
                                  0x45, \
                                  0x00, \
                                  0x40, \
                                  0x00, \
                                  0x38, \
                                  0x00, \
                                  0x29, \
                                  0x00, \
                                  0x21, \
                                  0x00, \
                                  0x16, \
                                  0x00, \
                                  0x12, \
                                  0xFE, \
                                  0xB0, \
                                  0xFF, \
                                  0x7A, \
                                  0xFF, \
                                  0x9B, \
                                  0xFF, \
                                  0xB3, \
                                  0xFF, \
                                  0xCE, \
                                  0xFF, \
                                  0xE6, \
                                  0xFF, \
                                  0xF6, \
                                  0xFF, \
                                  0xFD, \
                                  0x00, \
                                  0x04, \
                                  0x00, \
                                  0x0C, \
                                  0x00, \
                                  0x11, \
                                  0x00, \
                                  0x13, \
                                  0x00, \
                                  0x09, \
                                  0x00, \
                                  0x06, \
                                  0x00, \
                                  0x18, \
                                  0x00, \
                                  0x25, \
                                  0x00, \
                                  0x2D, \
                                  0x00, \
                                  0x2B, \
                                  0x00, \
                                  0x2D, \
                                  0x00, \
                                  0x33, \
                                  0x00, \
                                  0x2F, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x38, \
                                  0x00, \
                                  0x39, \
                                  0x00, \
                                  0x3B, \
                                  0x00, \
                                  0x3D, \
                                  0x00, \
                                  0x37, \
                                  0x00, \
                                  0x34, \
                                  0x00, \
                                  0x2C, \
                                  0x00, \
                                  0x1F, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x0C, \
                                  0x00, \
                                  0x08, \
                                  0xFE, \
                                  0x97, \
                                  0xFF, \
                                  0x72, \
                                  0xFF, \
                                  0x8F, \
                                  0xFF, \
                                  0xA4, \
                                  0xFF, \
                                  0xBE, \
                                  0xFF, \
                                  0xD3, \
                                  0xFF, \
                                  0xE0, \
                                  0xFF, \
                                  0xEC, \
                                  0xFF, \
                                  0xF2, \
                                  0xFF, \
                                  0xF9, \
                                  0x00, \
                                  0x04, \
                                  0xFF, \
                                  0xFF, \
                                  0x00, \
                                  0x01, \
                                  0x00, \
                                  0x02, \
                                  0x00, \
                                  0x0F, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x16, \
                                  0x00, \
                                  0x16, \
                                  0x00, \
                                  0x17, \
                                  0x00, \
                                  0x20, \
                                  0x00, \
                                  0x1D, \
                                  0x00, \
                                  0x22, \
                                  0x00, \
                                  0x22, \
                                  0x00, \
                                  0x23, \
                                  0x00, \
                                  0x22, \
                                  0x00, \
                                  0x24, \
                                  0x00, \
                                  0x27, \
                                  0x00, \
                                  0x21, \
                                  0x00, \
                                  0x1C, \
                                  0x00, \
                                  0x0E, \
                                  0x00, \
                                  0x07, \
                                  0xFF, \
                                  0xF9, \
                                  0xFF, \
                                  0xFF, \
                                  0xFE, \
                                  0x19, \
                                  0xFF, \
                                  0x61, \
                                  0xFF, \
                                  0x82, \
                                  0xFF, \
                                  0x91, \
                                  0xFF, \
                                  0xAD, \
                                  0xFF, \
                                  0xBC, \
                                  0xFF, \
                                  0xCC, \
                                  0xFF, \
                                  0xD4, \
                                  0xFF, \
                                  0xD9, \
                                  0xFF, \
                                  0xE0, \
                                  0xFF, \
                                  0xE6, \
                                  0xFF, \
                                  0xE5, \
                                  0xFF, \
                                  0xED, \
                                  0xFF, \
                                  0xF0, \
                                  0xFF, \
                                  0xFA, \
                                  0xFF, \
                                  0xFD, \
                                  0x00, \
                                  0x03, \
                                  0xFF, \
                                  0xFF, \
                                  0x00, \
                                  0x01, \
                                  0x00, \
                                  0x0A, \
                                  0x00, \
                                  0x08, \
                                  0x00, \
                                  0x07, \
                                  0x00, \
                                  0x0C, \
                                  0x00, \
                                  0x0C, \
                                  0x00, \
                                  0x0A, \
                                  0x00, \
                                  0x15, \
                                  0x00, \
                                  0x11, \
                                  0x00, \
                                  0x0A, \
                                  0x00, \
                                  0x07, \
                                  0xFF, \
                                  0xFD, \
                                  0xFF, \
                                  0xF7, \
                                  0xFF, \
                                  0xF0, \
                                  0xFF, \
                                  0xF8, \
                                  0xF2, \
                                  0xC5, \
                                  0xFE, \
                                  0xB5, \
                                  0xFF, \
                                  0x7D, \
                                  0xFF, \
                                  0x86, \
                                  0xFF, \
                                  0x9D, \
                                  0xFF, \
                                  0xB0, \
                                  0xFF, \
                                  0xC0, \
                                  0xFF, \
                                  0xC6, \
                                  0xFF, \
                                  0xC9, \
                                  0xFF, \
                                  0xD0, \
                                  0xFF, \
                                  0xD6, \
                                  0xFF, \
                                  0xDF, \
                                  0xFF, \
                                  0xDF, \
                                  0xFF, \
                                  0xE0, \
                                  0xFF, \
                                  0xEA, \
                                  0xFF, \
                                  0xED, \
                                  0xFF, \
                                  0xF5, \
                                  0xFF, \
                                  0xF2, \
                                  0xFF, \
                                  0xF1, \
                                  0xFF, \
                                  0xF8, \
                                  0xFF, \
                                  0xF8, \
                                  0xFF, \
                                  0xFB, \
                                  0x00, \
                                  0x00, \
                                  0x00, \
                                  0x03, \
                                  0x00, \
                                  0x06, \
                                  0x00, \
                                  0x08, \
                                  0x00, \
                                  0x09, \
                                  0x00, \
                                  0x06, \
                                  0x00, \
                                  0x01, \
                                  0xFF, \
                                  0xFD, \
                                  0xFF, \
                                  0xF7, \
                                  0xFF, \
                                  0xF3, \
                                  0x00, \
                                  0x03, \
                                  0xF7, \
                                  0x5C, \
                                  0xFE, \
                                  0x6A, \
                                  0xFF, \
                                  0x5C, \
                                  0xFF, \
                                  0x72, \
                                  0xFF, \
                                  0x8E, \
                                  0xFF, \
                                  0x9C, \
                                  0xFF, \
                                  0xAA, \
                                  0xFF, \
                                  0xB4, \
                                  0xFF, \
                                  0xB2, \
                                  0xFF, \
                                  0xB4, \
                                  0xFF, \
                                  0x9A, \
                                  0xFF, \
                                  0xB3, \
                                  0xFF, \
                                  0xB9, \
                                  0xFF, \
                                  0xCA, \
                                  0xFF, \
                                  0xD8, \
                                  0xFF, \
                                  0xD9, \
                                  0xFF, \
                                  0xDF, \
                                  0xFF, \
                                  0xDC, \
                                  0xFF, \
                                  0xDD, \
                                  0xFF, \
                                  0xE7, \
                                  0xFF, \
                                  0xE7, \
                                  0xFF, \
                                  0xE5, \
                                  0xFF, \
                                  0xEB, \
                                  0xFF, \
                                  0xEB, \
                                  0xFF, \
                                  0xEC, \
                                  0xFF, \
                                  0xED, \
                                  0xFF, \
                                  0xFD, \
                                  0xFF, \
                                  0xF8, \
                                  0xFF, \
                                  0xE9, \
                                  0xFF, \
                                  0xEB, \
                                  0xFF, \
                                  0xF5, \
                                  0xFF, \
                                  0xF8, \
                                  0x00, \
                                  0x19, \
                                  0xF7, \
                                  0x21, \
                                  0xFF, \
                                  0xBF, \
                                  0xFE, \
                                  0x8B, \
                                  0xFE, \
                                  0x44, \
                                  0xFF, \
                                  0x93, \
                                  0xFF, \
                                  0xA0, \
                                  0xFF, \
                                  0xAE, \
                                  0xFF, \
                                  0xB1, \
                                  0xFF, \
                                  0xAD, \
                                  0xFF, \
                                  0xB2, \
                                  0xFF, \
                                  0xB8, \
                                  0xFF, \
                                  0xC5, \
                                  0xFF, \
                                  0xC1, \
                                  0xFF, \
                                  0xC8, \
                                  0xFF, \
                                  0xD4, \
                                  0xFF, \
                                  0xD5, \
                                  0xFF, \
                                  0xDB, \
                                  0xFF, \
                                  0xD8, \
                                  0xFF, \
                                  0xD7, \
                                  0xFF, \
                                  0xDE, \
                                  0xFF, \
                                  0xDD, \
                                  0xFF, \
                                  0xDA, \
                                  0xFF, \
                                  0xE4, \
                                  0xFF, \
                                  0xEA, \
                                  0xFF, \
                                  0xEC, \
                                  0xFF, \
                                  0xF0, \
                                  0xFF, \
                                  0xF9, \
                                  0xFF, \
                                  0xF9, \
                                  0xFF, \
                                  0xF3, \
                                  0xFF, \
                                  0xF9, \
                                  0x00, \
                                  0x01, \
                                  0x00, \
                                  0x18, \
                                  0x00, \
                                  0x93
                                };


/*******************************************/

#endif

