/*******************************************************************************
*
* File:          test_cfg_global.h
* Description：  测试用例全局配置头文件
* Version：      V0.1
* Date：         2021-05-01
* Author：       kevin
 *******************************************************************************/

#ifndef __TEST_GLOBAL_CONFIG_H__
#define __TEST_GLOBAL_CONFIG_H__
/*******************************************************************************
* 1.Included files
*******************************************************************************/

/*******************************************************************************
* 2.Global constant and macro definitions using #define
*******************************************************************************/
/* 模块demo 宏定义 */
#define _MODULE_DEMO_ENABLE                0
#define _MODULE_DEMO_TIMER_EN              0
#define _MODULE_DEMO_DSI_TX_EN             0
#define _MODULE_DEMO_DSI_RX_EN             0
#define _MODULE_DEMO_PWM_EN                0
#define _MODULE_DEMO_SWIRE_EN              0
#define _MODULE_DEMO_WDG_EN                0
#define _MODULE_DEMO_GPIO_EN               0
#define _MODULE_DEMO_I2C_EN                0
#define _MODULE_DEMO_SPI_EN                0
#define _MODULE_DEMO_PWR_EN				   0
/* ap demo 宏定义 */
#define _DEMO_S8_EN                 1
#define _DEMO_S8P_EN                0
#define _DEMO_S9_EN                 0
#define _DEMO_MI_12_LITE_EN         0
#if _DEMO_S8_EN
    #include "s8_demo.h"
    #include "app_tp_for_custom_s8.h"
#endif

#if _DEMO_S8P_EN
    #include "s8p_demo.h"
    #include "app_tp_for_custom_s8p.h"
#endif

#if _DEMO_S9_EN
    #include "s9_demo.h"
    #include "app_tp_for_custom_s9.h"
#endif

#if _DEMO_MI_12_LITE_EN
    #include "Mi12Lite.h"
#endif
#endif

